org.eclipse.graphiti.ui.internal.util.gef

## Class MultiCreationFactory

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.util.gef.MultiCreationFactory

All Implemented Interfaces:
  org.eclipse.gef.requests.CreationFactory

    public class MultiCreationFactory
    extends Object
    implements org.eclipse.gef.requests.CreationFactory

### Constructor Summary

Constructors
Constructor and Description
`MultiCreationFactory(List<IFeature> features)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getNewObject()`
`Object` `getObjectType()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiCreationFactory

    public MultiCreationFactory(List<IFeature> features)

### Method Detail

#### getNewObject

    public Object getNewObject()

Specified by:
  `getNewObject` in interface `org.eclipse.gef.requests.CreationFactory`

#### getObjectType

    public Object getObjectType()

Specified by:
  `getObjectType` in interface `org.eclipse.gef.requests.CreationFactory`